Coolify logoCoolify
PATCH
/github-apps/{github_app_id}

Update an existing GitHub app.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

github_app_id*integer

GitHub App ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name?string

GitHub App name

organization?string

GitHub organization

api_url?string

GitHub API URL

html_url?string

GitHub HTML URL

custom_user?string

Custom user for SSH

custom_port?integer

Custom port for SSH

app_id?integer

GitHub App ID

installation_id?integer

GitHub Installation ID

client_id?string

GitHub Client ID

client_secret?string

GitHub Client Secret

webhook_secret?string

GitHub Webhook Secret

private_key_uuid?string

Private key UUID

is_system_wide?boolean

Is system wide (non-cloud instances only)

Response Body

application/json

application/json

curl -X PATCH "https://app.coolify.io/api/v1/github-apps/0" \  -H "Content-Type: application/json" \  -d '{}'
{  "message": "GitHub app updated successfully",  "data": {}}
Empty
Empty
{  "message": "Validation error.",  "errors": {    "name": [      "The name field is required."    ],    "api_url": [      "The api url field is required.",      "The api url format is invalid."    ]  }}